/// <reference types="react" />
import { AioExternalSingle } from "./aioInterface";
/**
 * Properties for AioReplacements
 * @param value AioReplacement list
 * @param setValue update function
 */
interface AioSingleReplacementProps {
    label?: string;
    replacements?: AioExternalSingle[];
    setReplacements?: (ret: AioExternalSingle[]) => void;
}
/**
 * Option item for replacements
 * @param props replacement object
 * @returns JSX
 */
export declare const AioSingleReplacements: ({ label, replacements, setReplacements, }: AioSingleReplacementProps) => JSX.Element;
export {};
