/// <reference types="react" />
import { AioReplacement, AioReplacementText, AioReplacementValue } from './aioInterface';
interface AioReplacmentTableProps {
    airid?: string;
    replacementTexts: AioReplacementText[];
    replacementValues: AioReplacementValue[];
    givenName?: string;
    externalName?: string;
    setReplacement: (ret: AioReplacement) => void;
    externalLists?: AioReplacement[];
    dontAskSpace?: boolean;
    dontShowText?: boolean;
}
/**
 * Render an individuial AioReplacement
 * @param props value/setValue pair
 */
export declare const AioReplacementTable: ({ airid, replacementTexts, replacementValues, givenName, externalName, setReplacement, externalLists, dontAskSpace, dontShowText }: AioReplacmentTableProps) => JSX.Element;
export {};
