import React from "react";
import { AieStyleMap } from "../aie";
import { AioExternalReplacements, AioExternalSingle } from "../aio";
import './ait.css';
import { AitRowGroupData, AitTableData } from "./aitInterface";
interface AsupInternalTableProps {
    tableData: AitTableData;
    setTableData: (ret: AitTableData) => void;
    processedDataRef?: React.MutableRefObject<AitTableData | undefined>;
    externalLists?: AioExternalReplacements[];
    externalSingles?: AioExternalSingle[];
    style?: React.CSSProperties;
    showCellBorders?: boolean;
    groupTemplates?: AitRowGroupData[] | false;
    commentStyles?: AieStyleMap;
    cellStyles?: AieStyleMap;
    colWidthMod?: number;
    initialDecimalAlignPercent?: number;
}
/**
 * Table view for clinical table data
 * @param props
 * @returns
 */
export declare const AsupInternalTable: ({ tableData, setTableData, processedDataRef, externalLists, externalSingles, style, showCellBorders, groupTemplates, commentStyles, cellStyles, colWidthMod, initialDecimalAlignPercent, }: AsupInternalTableProps) => JSX.Element;
export {};
