import { AioReplacement } from "../aio";
import { AitRowData, AitTableData } from "../ait";
import { oldReplacement } from "./updateReplacementVersion";
interface OldTableData {
    headerData?: OldRowGroupData;
    bodyData?: OldRowGroupData[];
    comments?: string;
    rowHeaderColumns?: number;
    noRepeatProcessing?: boolean;
}
interface OldRowGroupData {
    aitid?: string;
    name?: string;
    rows: AitRowData[];
    comments?: string;
    spaceAfter?: boolean;
    replacements?: AioReplacement[] | oldReplacement[];
}
export declare const updateTableDataVersion: (inData: OldTableData | AitTableData) => AitTableData;
export {};
