import { DraftStyleMap, RawDraftContentBlock } from "draft-js";
/**
 * Safely change a draft block into HTML
 * @param b Raw Draft-js block
 * @param dsm Style map that has been applied
 * @returns HTML string of the content
 */
export declare const htmlBlock: (b: RawDraftContentBlock, dsm: DraftStyleMap) => string;
