import React from "react";
export interface AsupInternalWindowProps {
    aiwid?: number;
    title: string;
    onClose?: () => void;
    style?: React.CSSProperties;
    elements?: null | React.ReactNode;
    x?: number;
    y?: number;
}
interface AiwContextSettings {
    aiwList: AsupInternalWindowProps[];
    setAiwList?: (ret: AsupInternalWindowProps[]) => void;
    openAiw: (ret: AsupInternalWindowProps) => void;
    closeAiw: (windowId: number) => void;
}
export declare const AiwContext: React.Context<AiwContextSettings>;
export {};
