import { AioExternalReplacements, AioExternalSingle, AioReplacement } from "../aio";
import { AitColumnRepeat, AitRowData } from "../ait";
/**
 * Entry function to process headers with replacements
 * @param rows Initial header rows
 * @param replacements Replacement array with new values
 * @param noProcessing Stop
 * @param rowHeaderColumns
 * @param externalLists
 * @returns
 */
export declare const repeatHeaders: (rows: AitRowData[], replacements: AioReplacement[], noProcessing?: boolean, rowHeaderColumns?: number, externalLists?: AioExternalReplacements[], externalSingles?: AioExternalSingle[]) => {
    rows: AitRowData[];
    columnRepeats: AitColumnRepeat[];
};
