import { AioExternalReplacements, AioExternalSingle, AioReplacement } from "../aio";
import { AitRowData } from "../ait";
/**
 * Repeat rows based on repeat number array with potential for partial repeats
 * @param rows
 * @param replacements
 * @param spaceAfter
 * @param noProcessing
 * @param externalLists
 * @param externalSingles
 * @returns
 */
export declare const repeatRows: (rows: AitRowData[], replacements?: AioReplacement[], spaceAfter?: boolean, noProcessing?: boolean, externalLists?: AioExternalReplacements[], externalSingles?: AioExternalSingle[]) => AitRowData[];
