import { AioExternalReplacements, AioReplacement } from "../aio";
import { AitColumnRepeat, AitRowData } from "../ait";
/**
 * Recursive function to replace column header information
 * @param replacement Single set of replacment text
 * @param rows Header rows
 * @param columnRepeats Column repeat string
 * @returns Updated rows
 */
export declare const replaceHeaders: (rowHeaderColumns: number, rows: AitRowData[], columnRepeats: AitColumnRepeat[], replacement?: AioReplacement, externalLists?: AioExternalReplacements[]) => {
    newHeaderRows: AitRowData[];
    newColumnRepeats: AitColumnRepeat[];
};
