import * as React from "react";
import { AioOptionType } from "./aioInterface";
interface AioPrintOptionProps {
    id: string;
    value: any;
    label?: string;
    type?: AioOptionType | string;
    availablValues?: Array<string>;
    setValue?: (value: any) => void;
    canAddItems?: boolean;
    canMoveItems?: boolean;
    canRemoveItems?: boolean;
    moveUp?: () => void;
    moveDown?: () => void;
    addItem?: () => void;
    removeItem?: () => void;
    children?: React.ReactChild | React.ReactChild[];
}
export declare const AioPrintOption: (props: AioPrintOptionProps) => JSX.Element;
export {};
