import { AioReplacementValue } from "../aio/aioInterface";
/**
 * Append a replacementValues list to a replacementValue, after recursion
 * @param baseV Start replacement value
 * @param addV Values to add as the last sublist
 * @returns clone of initial replacementValue with sublist appended on the end
 */
export declare const appendReplacementValue: (baseV: AioReplacementValue, addV: AioReplacementValue[]) => AioReplacementValue;
